Subscriber CDR API
GET
/v1/subscriber/{subscriber_id}/cdr/records(telemetry)
CDR List for one subscriber.
Service
telemetry
telemetry
Request Parameters
| Name | In | Type | Description | MUST include |
|---|---|---|---|---|
| X-Auth-Token | header | string | Valid Authentication Token. Please see developers documentation/identity. | X |
| X-Timezone | header | string | Timezone for response datetime property values. (default UTC) | |
| subscriber_id | url | string | Unique ID of subscriber for which CDR records are to be retrieved | X |
Response Status Codes
| Code | Meaning |
|---|---|
| 200 | OK |
| 400 | Bad Request |
| 401 | Unauthorized / Require Authentication |
| 403 | Forbidden / Access Denied |
| 404 | Not Found |
| 409 | Conflict |
| 429 | Too Many Requests / Your Rate Limited |
| 500, 501, 502, 503, 504 | Service Unavailable |
Response Properties
| Name | In | Type | Description |
|---|---|---|---|
| acct_unique_id | body | string | Unique ID |
| called_station_id | body | string | Called station ID |
| calling_station_id | body | string | Calling station ID |
| cdr_type | body | string | CDR Type |
| client_ip_address | body | string | Client IP Address |
| download | body | integer | GB Downloaded during record |
| duration | body | integer | Duration of record |
| id | body | string | Unique ID of cdr record |
| nas_ip_address | body | string | Nas IP Address |
| rate_id | body | string | Rate ID |
| start_time | body | string | Timestamp when record was initiated |
| stop_time | body | string | Timestamp when record finished |
| terminate_cause | body | integer | Termination Cause |
| update_time | body | string | Timestamp when record was updated |
| upload | body | integer | GB Uploaded during record |
| username | body | string | Username of subscriber to which this record belongs |
Response Example
[
{
"id": "89e88982-cc01-11ee-9127-a5b2efd1bd16::2024-02-01"
"start_time": "2024-02-15T12:55:47+00:00",
"update_time": "2024-02-15T12:55:47+00:00",
"stop_time": null,
"acct_unique_id": "89e88982-cc01-11ee-9127-a5b2efd1bd16",
"username": "pppoe@isp.com",
"calling_station_id": "48:65:EE:14:C6:93",
"called_station_id": "PPPOE SERVER",
"rate_id": null,
"cdr_type": null,
"nas_ip_address": "196.201.96.131",
"client_ip_address": "196.201.96.131",
"duration": 0,
"upload": 0,
"download": 0,
"terminate_cause": null,
},
{
"id": "36d81884-cc01-11ee-9127-a5b2efd1bd16::2024-02-01"
"start_time": "2024-02-15T12:53:28+00:00",
"update_time": "2024-02-15T12:53:29+00:00",
"stop_time": "2024-02-15T12:53:29+00:00",
"acct_unique_id": "36d81884-cc01-11ee-9127-a5b2efd1bd16",
"username": "pppoe@isp.com",
"calling_station_id": "08:55:31:AD:76:97",
"called_station_id": "PPPOE SERVER",
"rate_id": null,
"cdr_type": null,
"nas_ip_address": "196.201.96.131",
"client_ip_address": "196.201.96.131",
"duration": 0,
"upload": 0,
"download": 0,
"terminate_cause": "User-Request",
}
]